### Hierarchy

- AbstractNode

### Implements

- Node

## Index

### Constructors

- constructor

### Properties

- kind
- loc

### Methods

- accept
- getKind
- getLoc

## Constructors

### constructor

- new AbstractNode(kind: string, loc: undefined | Location): AbstractNode

- - Defined in src/ast/node.ts:14

  #### Parameters

  - ##### kind: string

  - ##### loc: undefined | Location

  #### Returns AbstractNode

## Properties

### kind

kind: string

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

- Defined in src/ast/node.ts:14

## Methods

### accept

- accept(_context: Context, _visitor: Visitor): void

- Implementation of Node.accept

  - Defined in src/ast/node.ts:29

  #### Parameters

  - ##### _context: Context

  - ##### _visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- Implementation of Node.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Implementation of Node.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

Generated using TypeDoc